Subject: Re: Bug: Problem with CRLF line ending in git-diff with coloring

From: Johannes Sixt <[email-masked]>
Date: Fri, 14 Feb 2014 22:19:03 +0100

Am 14.02.2014 17:47, schrieb Stefan-W. Hahn:
>> It's the right solution. IOW, you should place something like this in
>> your .gitattributes:
>>  *.html whitespace=cr-at-eol
> 
> Sorry, but this is not possible, because I have files of both sorts (mainly
> C/C++) files in my repository and cannot change the files as I wish.

I'm confused. This setting does not change your files, but instructs git
diff and git apply to not report the trailing CR as white-space error.
Didn't you try it?

-- Hannes